%define somajor 4
%define girapi 1.0
%define qtsomajor 2
%define libname %mklibname %{name} %{somajor}
%define devname %mklibname %{name} -d
%define girname %mklibname %{name}-gir %{girapi}
%define qtlibname %mklibname %{name}qt %{qtsomajor}
%define qtdevname %mklibname %{name}qt -d

# Vala/Vapi support ( upstream disabled by default, probably explains why it the build breaks often )
%global vala 1

Summary: Utilities to generate, maintain and access the AppStream database
Name:    appstream
Version: 0.11.8
Release: %mkrel 1
Group:   System/Packaging

# lib LGPLv2+, tools GPLv2+
License: GPLv2+ and LGPLv2+
#URL:     http://www.freedesktop.org/wiki/Distributions/AppStream
URL:     https://github.com/ximion/appstream
Source0: http://www.freedesktop.org/software/appstream/releases/AppStream-%{version}.tar.xz

## upstream patches
Patch0:  appstream-broken-qt-cmake.patch

## upstreamable patches



# needed for cmake auto-provides
BuildRequires: cmake
BuildRequires: meson >= 0.42
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 1.54
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(packagekit-glib2)
BuildRequires: pkgconfig(protobuf-lite)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(yaml-0.1)
BuildRequires: libstemmer-devel
BuildRequires: publican
BuildRequires: xmlto

Requires: %{libname}%{?_isa} = %{version}-%{release}

# (ngompa): We don't have this...
#Requires: appstream-data

%description
AppStream makes it easy to access application information from the
AppStream database over a nice GObject-based interface.

%package -n %{libname}
Summary:  Library for %{name}
Group:    System/Libraries
%description -n %{libname}
%{summary}.

%package -n %{girname}
Summary:  GObject Introspection Library for %{name}
Group:    System/Libraries
%description -n %{girname}
%{summary}.

%package -n %{devname}
Summary:  Development files for %{name}
Group:    Development/C
Requires: %{libname}%{?_isa} = %{version}-%{release}
Requires: %{girname}%{?_isa} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel%{?_isa} = %{version}-%{release}
%description -n %{devname}
%{summary}.

%package -n %{qtlibname}
Summary: Qt5 bindings for %{name}
Group:   System/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description -n %{qtlibname}
%{summary}.

%package -n %{qtdevname}
Summary:  Development files for %{name} Qt5 bindings
Group:    Development/C++
Provides: %{name}-qt-devel = %{version}-%{release}
Provides: %{name}-qt-devel%{?_isa} = %{version}-%{release}
Requires: %{qtlibname}%{?_isa} = %{version}-%{release}
%description -n %{qtdevname}
%{summary}.

%if 0%{?vala}
%package vala
Summary: Vala bindings for %{name}
Group:   Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}
BuildRequires: vala-tools
Requires: vala
%description vala
%{summary}.
%endif


%prep
%autosetup -n AppStream-%{version} -p1


%build
%meson \
  -Ddocs=true \
  -Dqt=true \
  -Dvapi=%{?vala:true}%{!?vala:false}

%meson_build


%install
%meson_install

%if 0%{?mageia} && 0%{?mageia} < 7
# For Mageia 6 and older, move the metainfo to appdata
mv %{buildroot}%{_datadir}/metainfo %{buildroot}%{_datadir}/appdata
%endif

mkdir -p %{buildroot}/var/cache/app-info/{icons,gv,xmls}
touch %{buildroot}/var/cache/app-info/cache.watch

%find_lang appstream


%check
# The test suite doesn't automatically know to look at the "built"
# library, so we force it by creating an LD_LIBRARY_PATH
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%meson_test

%posttrans
%{_bindir}/appstreamcli refresh --force >& /dev/null ||:

# (ngompa): For the moment, not required
#triggerun -- appstream-data
#{_bindir}/appstreamcli refresh >& /dev/null ||:

%files -f appstream.lang
%doc AUTHORS
%license LICENSE.GPLv2
%license LICENSE.LGPLv2.1
%{_bindir}/appstreamcli
%{_mandir}/man1/appstreamcli.1*
%config(noreplace) %{_sysconfdir}/appstream.conf
%if 0%{?mageia} && 0%{?mageia} < 7
%{_datadir}/appdata/org.freedesktop.appstream.cli.*.xml
%else
%{_datadir}/metainfo/org.freedesktop.appstream.cli.*.xml
%endif
# put in -devel? -- rex
%{_datadir}/gettext/its/metainfo.*
%ghost /var/cache/app-info/cache.watch
%dir /var/cache/app-info/
%dir /var/cache/app-info/icons/
%dir /var/cache/app-info/gv/
%dir /var/cache/app-info/xmls/

%files -n %{libname}
%license LICENSE.GPLv2
%license LICENSE.LGPLv2.1
%{_libdir}/libappstream.so.%{somajor}
%{_libdir}/libappstream.so.%{version}

%files -n %{girname}
%{_libdir}/girepository-1.0/AppStream-%{girapi}.typelib

%files -n %{devname}
%{_includedir}/appstream/
%{_libdir}/libappstream.so
%{_libdir}/pkgconfig/appstream.pc
%{_datadir}/gir-1.0/AppStream-1.0.gir
%{_docdir}/appstream/html/
## symlink pointing to ^^, but need to take care, since rpm has
## trouble replacing dirs with symlinks, omit it for now -- rex
%exclude %{_datadir}/gtk-doc/html/appstream

%files -n %{qtlibname}
%{_libdir}/libAppStreamQt.so.%{qtsomajor}
%{_libdir}/libAppStreamQt.so.%{version}

%files -n %{qtdevname}
%{_includedir}/AppStreamQt/
%{_libdir}/cmake/AppStreamQt/
%{_libdir}/libAppStreamQt.so

%if 0%{?vala}
%files vala
%{_datadir}/vala/vapi/appstream.deps
%{_datadir}/vala/vapi/appstream.vapi
%endif




%changelog
* Mon Feb 12 2018 ngompa <ngompa> 0.11.8-1.mga6
+ Revision: 1200602
- Rebase to 0.11.8 from Cauldron

* Fri Feb 17 2017 ngompa <ngompa> 0.10.6-1.mga6
+ Revision: 1086563
- Upgrade to 0.10.6 and drop merged patches

* Thu Nov 24 2016 ngompa <ngompa> 0.10.3-1.mga6
+ Revision: 1069683
- Add patch to fix crash in AppStreamQt
- Upgrade to 0.10.3

* Fri Sep 30 2016 ngompa <ngompa> 0.10.1-1.mga6
+ Revision: 1057850
- Upgrade to 0.10.1
- Enable Vala bindings

* Sat Sep 17 2016 daviddavid <daviddavid> 0.9.8-2.mga6
+ Revision: 1053517
- add two patches from fedora to fix testsuite failure on arm

* Fri Sep 16 2016 neoclust <neoclust> 0.9.8-1.mga6
+ Revision: 1053387
- New version 0.9.8

* Fri Jul 08 2016 ngompa <ngompa> 0.9.6-4.mga6
+ Revision: 1039851
- Bump release to rebuild against xapian-devel

* Fri Jul 08 2016 ngompa <ngompa> 0.9.6-3.mga6
+ Revision: 1039803
- Add missing Requires to devel subpackage

* Fri Jul 08 2016 ngompa <ngompa> 0.9.6-2.mga6
+ Revision: 1039712
- imported package appstream

